# Laravel queue worker using systemd
# ----------------------------------
#
# /lib/systemd/system/queue.service
#
# run this command to enable service:
# systemctl enable queue.service

[Unit]
Description=Laravel queue worker for <%= @name %>

[Service]
<%- @queue_environment_vars.each do |value| -%>
<%= %Q(Environment=#{value}) %>
<%- end -%>
User=<%= @app_user %>
Group=<%= @app_group %>
Restart=always
ExecStart=/usr/bin/php <%= @base_dir %>/artisan queue:work --daemon <%= @queue_options %>

[Install]
WantedBy=multi-user.target